<template>
  <v-container>
    <v-row>
      <template v-if="bids.length">
        <v-col cols="12" v-for="bid in bids" :key="bid.id">
          <bids-list-item :bid="bid" @pay="$emit('pay', bid)" />
        </v-col>
      </template>
      <template v-else>
        <v-col colw="12">
          <p class="text-center">Список заявок пуст</p>
        </v-col>
      </template>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Bid } from '@/domain/entity/bid/Bid';
import { Prop } from 'vue-property-decorator';
import BidsListItem from '@/components/bids/BidsListItem.vue';

@Component({
  components: {
    BidsListItem
  }
})
export default class BidsList extends Vue {
  @Prop({
    required: true,
    default: () => [],
    type: Array
  })
  private readonly bids!: Bid[];
}
</script>

<style scoped></style>
